﻿using System;
using System.Collections.Generic;
using System.Linq;

using System.Net;
using System.Text;
using System.Web.Script.Serialization;

namespace ConsoleClientCS
{
    class Program
    {
        static void Main(string[] args)
        {
            Console.Write("Enter Name: ");
            string name = Console.ReadLine();
            Console.Write("Enter Age: ");
            string age = Console.ReadLine();
            string serviceUrl = "http://localhost:17154/CS/Services/Service.svc";
            object input = new
            {
                name = name,
                age = age
            };
            string inputJson = (new JavaScriptSerializer()).Serialize(input);
            WebClient client = new WebClient();
            client.Headers["Content-type"] = "application/json";
            client.Encoding = Encoding.UTF8;
            string output = client.UploadString(serviceUrl + "/GetData", inputJson);
            Console.WriteLine("Output: " + output);
            Console.ReadLine();
        }
    }
}
